<?php
    if (isset($_POST['tenderplugin_goals_condition'])) {
        $condition = $_POST['tenderplugin_goals_condition'];
    }
    elseif (isset($_GET['tenderplugin_goals_condition'])) {
        $condition = $_GET['tenderplugin_goals_condition'];
    }
    else {
        $condition = "COPD";
    }
?>

<div class="tenderplugin_header">
  <img src="<?php echo plugins_url('dghplugin/gfx/goal_img_web.png'); ?>">
  <h1>Add goal</h1>
  <hr>
<?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {
        if (isset($_POST['tenderplugin_addgoal'])) {
        
            $startDate = $_POST["tenderplugin_goals_startdate"] . ":00.000+0100";
            $endDate = $_POST["tenderplugin_goals_enddate"] . ":00.000+0100";
            $description = $_POST["tenderplugin_goals_description"];
            $name = $_POST["tenderplugin_goals_name"];
            $importance = $_POST["tenderplugin_goals_importance"];
            $status = $_POST["tenderplugin_goals_status"];
            
            $result = tenderplugin_aggregator_login();
            
            aggregator_addgoal($result['Authorized-By'], $condition, array(
                "startDate" => $startDate,
                "endDate" => $endDate,
                "description" => $description,
                "name" => $name,
                "importance" => $importance,
                "status" => $status));
            
            aggregator_logout($result['Authorized-By']);
            
            ?>
            Goal with description <span class="tenderplugin_emphasis"><?=$description?></span> was successfully added (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
            <?php
          }
          elseif (isset($_POST['tenderplugin_deletegoal'])) {
          
            $result = tenderplugin_aggregator_login();
            
            $goalId = $_POST['tenderplugin_deletegoal'];
            aggregator_deletegoal($result['Authorized-By'], $condition, $goalId);
            
            aggregator_logout($result['Authorized-By']);
          
?>
            Goal succesfully deleted (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
<?php
          }
      ?>
    Back to <a href="?page=dghplugin/goals.php&tenderplugin_goals_condition=<?=$condition?>">goals</a>.
<?php } elseif ($_SERVER['REQUEST_METHOD'] == "GET") { ?>
    <form method="POST" class="tenderplugin_vertical">
      <label for="tenderplugin_goals_condition">Condition</label>
      <?php conditions_select("dghplugin/goals.php", "tenderplugin_goals_condition", $condition); ?>
    
      <label for="tenderplugin_goals_startdate">Start date (YYYY-MM-DDTHH:mm )</label>
      <input type="datetime-local" name="tenderplugin_goals_startdate" id="tenderplugin_goals_startdate">
      
      <label for="tenderplugin_goals_enddate">End date (YYYY-MM-DDTHH:mm )</label>
      <input type="datetime-local" name="tenderplugin_goals_enddate" id="tenderplugin_goals_enddate">
      
      <label for="tenderplugin_goals_description">Description</label>
      <textarea name="tenderplugin_goals_description" id="tenderplugin_goals_description">Description...</textarea>
      
      <label for="tenderplugin_goals_name">Name</label>
      <input type="text" name="tenderplugin_goals_name" id="tenderplugin_goals_name">
      
      <label for="tenderplugin_goals_importance">Importance</label>
      <select name="tenderplugin_goals_importance" id="tenderplugin_goals_importance">
        <?php for ($i = 1; $i <= 10; $i++) { ?>
        <option value="<?=$i?>"><?=$i?></option>
        <?php } ?>
      </select>
      
      <label for="tenderplugin_goals_status">Status</label>
      <select name="tenderplugin_goals_status" id="tenderplugin_goals_status">
        <option value="ACTIVE">Active</option>
        <option value="COMPLETED">Completed</option>
        <option value="CANCELLED">Cancelled</option>
      </select>
      
      <input type="submit" name="tenderplugin_addgoal" value="Add goal">
      
      <table class="tenderplugin">
        <tr><th>Description</th><th>Start date</th><th>End date</th><th>Actions</th></tr>
<?php
    $result = tenderplugin_aggregator_login();
    $goals = aggregator_getgoals($result['Authorized-By'], $condition);
    aggregator_logout($result['Authorized-By']);
    
    foreach ($goals["goals"] as $rem) {
?>
        <tr><td><?=$rem["description"]?></td><td><?=$rem["startDate"]?></td><td><?=$rem["endDate"]?></td><td><button type="submit" name="tenderplugin_deletegoal" value="<?=$rem["id"]?>" onclick="return confirm('Are you sure?');">Delete</button></td></tr>
<?php
    }
?>
    </table>
    
    </form>
<?php
}
?>
</div>