<?php
    if (isset($_POST['tenderplugin_reminders_condition'])) {
        $condition = $_POST['tenderplugin_reminders_condition'];
    }
    elseif (isset($_GET['tenderplugin_reminders_condition'])) {
        $condition = $_GET['tenderplugin_reminders_condition'];
    }
    else {
        $condition = "COPD";
    }
?>

<div class="tenderplugin_header">
  <img src="<?php echo plugins_url('dghplugin/gfx/reminder_img_web.png'); ?>">
  <h1>Add reminder</h1>
  <hr>
<?php if ($_SERVER['REQUEST_METHOD'] == "POST") { 
          if (isset($_POST['tenderplugin_addreminder'])) {
            $startDate = $_POST["tenderplugin_reminders_startdate"] . ":00.000+0100";
            $endDate = $_POST["tenderplugin_reminders_enddate"] . ":00.000+0100";
            $frequency = $_POST["tenderplugin_reminders_frequency"];
            $text = $_POST["tenderplugin_reminders_text"];
            $description = $_POST["tenderplugin_reminders_description"];
            $urlOfContent = $_POST["tenderplugin_reminders_urlOfContent"];
            $type = $_POST["tenderplugin_reminders_type"];
            
            $result = tenderplugin_aggregator_login();
            
            aggregator_addreminder($result['Authorized-By'], $condition, array(
                "startDate" => $startDate,
                "endDate" => $endDate,
                "frequency" => $frequency,
                "text" => $text,
                "description" => $description,
                "urlOfContent" => $urlOfContent,
                "type" => $type));
            
            aggregator_logout($result['Authorized-By']);
            
            ?>
            Reminder with description <span class="tenderplugin_emphasis"><?=$description?></span> was successfully added (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
            <?php
          }
          elseif (isset($_POST['tenderplugin_deletereminder'])) {
          
            $result = tenderplugin_aggregator_login();
            
            $reminderId = $_POST['tenderplugin_deletereminder'];
            //echo "DELETING(" . $reminderId . ")";
            aggregator_deletereminder($result['Authorized-By'], $condition, $reminderId);
            
            aggregator_logout($result['Authorized-By']);
          
?>
            Reminder succesfully deleted (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
<?php
          }
      ?>
    Back to <a href="?page=dghplugin/reminders.php&tenderplugin_reminders_condition=<?=$condition?>">reminders</a>.
<?php } elseif ($_SERVER['REQUEST_METHOD'] == "GET") { ?>
    <form method="POST" class="tenderplugin_vertical">
      <label for="tenderplugin_reminders_condition">Condition</label>
      <?php conditions_select("dghplugin/goals.php", "tenderplugin_reminders_condition", $condition); ?>
    
      <label for="tenderplugin_reminders_startdate">Start date (YYYY-MM-DDTHH:mm )</label>
      <input type="datetime-local" name="tenderplugin_reminders_startdate" id="tenderplugin_reminders_startdate">
      
      <label for="tenderplugin_reminders_enddate">End date (YYYY-MM-DDTHH:mm )</label>
      <input type="datetime-local" name="tenderplugin_reminders_enddate" id="tenderplugin_reminders_enddate">
      
      <label for="tenderplugin_reminders_frequency">Frequency</label>
       <select name="tenderplugin_reminders_frequency" id="tenderplugin_reminders_frequency">
        <option value="WEEKLY">WEEKLY</option>
        <option value="DAILY">DAILY</option>
        <option value="ONCE">ONCE</option>
        <!--<option value="PICK_DAYS">PICK_DAYS</option>-->
      </select>

      <label for="tenderplugin_reminders_text">Text</label>
      <textarea name="tenderplugin_reminders_text" id="tenderplugin_reminders_text">Text...</textarea>
      
      <label for="tenderplugin_reminders_description">Description</label>
      <textarea name="tenderplugin_reminders_description" id="tenderplugin_reminders_description">Description...</textarea>
      
      <label for="tenderplugin_reminders_urlOfContent">URL of content</label>
      <input type="text" name="tenderplugin_reminders_urlOfContent" id="tenderplugin_reminders_urlOfContent">
      
      <label for="tenderplugin_reminders_type">Type</label>
      <input type="text" name="tenderplugin_reminders_type" id="tenderplugin_reminders_type">
      
      <input type="submit" name="tenderplugin_addreminder" value="Add reminder">
      
      <table class="tenderplugin">
        <tr><th>Description</th><th>Start date</th><th>End date</th><th>Actions</th></tr>
<?php
    //$condition = $_GET['tenderplugin_reminders_condition'];

    $result = tenderplugin_aggregator_login();
    $reminders = aggregator_getreminders($result['Authorized-By'], $condition);
    aggregator_logout($result['Authorized-By']);
    
    //echo json_encode($reminders);
    
    foreach ($reminders["reminders"] as $rem) {
?>
        <tr><td><?=$rem["description"]?></td><td><?=$rem["startDate"]?></td><td><?=$rem["endDate"]?></td><td><button type="submit" name="tenderplugin_deletereminder" value="<?=$rem["id"]?>" onclick="return confirm('Are you sure?');">Delete</button></td></tr>
<?php
    }
?>
    </table>
    
    </form>
<?php } ?>
</div>