<?php
    if (isset($_POST['tenderplugin_workouts_condition'])) {
        $condition = $_POST['tenderplugin_workouts_condition'];
    }
    elseif (isset($_GET['tenderplugin_workouts_condition'])) {
        $condition = $_GET['tenderplugin_workouts_condition'];
    }
    else {
        $condition = "COPD";
    }
?>

<div class="tenderplugin_header">
  <img src="<?php echo plugins_url('dghplugin/gfx/workout_img.png'); ?>">
  <h1>Add workout</h1>
  <hr>
<?php if ($_SERVER['REQUEST_METHOD'] == "POST") { 
          if (isset($_POST['tenderplugin_addworkout'])) {
                $name = $_POST["tenderplugin_workouts_name"];
                $text = $_POST["tenderplugin_workouts_text"];
                $description = $_POST["tenderplugin_workouts_description"];
                $urlOfInstructionalContent = $_POST["tenderplugin_workouts_urlOfContent"];
                $type = $_POST["tenderplugin_workouts_type"];
                
                $result = tenderplugin_aggregator_login();
                
                aggregator_addworkout($result['Authorized-By'], $condition, array(
                    "name" => $name,
                    "text" => $text,
                    "description" => $description,
                    "urlOfInstructionalContent" => $urlOfInstructionalContent,
                    "type" => $type));
                
                aggregator_logout($result['Authorized-By']);
            
            ?>
            Workout with description <span class="tenderplugin_emphasis"><?=$description?></span> was successfully added (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
            <?php
          }
          elseif (isset($_POST['tenderplugin_deleteworkout'])) {
          
            $result = tenderplugin_aggregator_login();
            
            $workoutId = $_POST['tenderplugin_deleteworkout'];
            //echo "DELETING(" . $reminderId . ")";
            aggregator_deleteworkout($result['Authorized-By'], $condition, $workoutId);
            
            aggregator_logout($result['Authorized-By']);
          
?>
            Workout succesfully deleted (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
<?php
          }
      ?>
    Back to <a href="?page=dghplugin/workouts.php&tenderplugin_workouts_condition=<?=$condition?>">workouts</a>.
<?php } elseif ($_SERVER['REQUEST_METHOD'] == "GET") { ?>
    <form method="POST" class="tenderplugin_vertical">
      <label for="tenderplugin_workouts_condition">Condition</label>
      <?php conditions_select("dghplugin/workouts.php", "tenderplugin_workouts_condition", $condition); ?>
    
      <label for="tenderplugin_workouts_name">Name</label>
      <input type="text" name="tenderplugin_workouts_name" id="tenderplugin_workouts_name">
      
      <label for="tenderplugin_workouts_text">Text</label>
      <input type="text" name="tenderplugin_workouts_text" id="tenderplugin_workouts_text">
            
      <label for="tenderplugin_workouts_description">Description</label>
      <textarea name="tenderplugin_workouts_description" id="tenderplugin_workouts_description">Description</textarea>
      
      <label for="tenderplugin_workouts_urlOfContent">URL of content</label>
      <input type="text" name="tenderplugin_workouts_urlOfContent" id="tenderplugin_workouts_urlOfContent">
      
      <label for="tenderplugin_workouts_type">Type</label>
      <!--<select name="tenderplugin_reminders_type" id="tenderplugin_reminders_type">
        <option value="video">Video</option>
        <option value="article">Article</option>
        <option value="factoid">Factoid</option>
      </select>-->
      <input type="text" name="tenderplugin_workouts_type" id="tenderplugin_workouts_type">
      
      <input type="submit" name="tenderplugin_addworkout" value="Add Workout">
      
      <table class="tenderplugin">
        <tr><th>Description</th><th>Actions</th></tr>
<?php
    $result = tenderplugin_aggregator_login();
    $workouts = aggregator_getworkouts($result['Authorized-By'], $condition);
    aggregator_logout($result['Authorized-By']);
    
    foreach ($workouts["workouts"] as $wor) {
?>
        <tr><td><?=$wor["description"]?></td><td><button type="submit" name="tenderplugin_deleteworkout" value="<?=$wor["id"]?>" onclick="return confirm('Are you sure?');">Delete</button></td></tr>
<?php
    }
?>
    </table>
    
    </form>
<?php } ?>
</div>