<div class="tenderplugin_header">
  <img src="<?php echo plugins_url('dghplugin/gfx/condition_img_web.png'); ?>">
  <h1>Add condition</h1>
  <hr>
<?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {
        if (isset($_POST['tenderplugin_addcondition'])) {
        
            $value = $_POST["tenderplugin_conditions_value"];
            $description = $_POST["tenderplugin_conditions_description"];
            
            $result = tenderplugin_aggregator_login();
            
            aggregator_addcondition($result['Authorized-By'], array(
                "value" => $value,
                "description" => $description));
            
            aggregator_logout($result['Authorized-By']);
            
            ?>
            Condition with description <span class="tenderplugin_emphasis"><?=$condition?></span> was successfully added (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
            <?php
          }
          elseif (isset($_POST['tenderplugin_deletecondition'])) {
          
            $result = tenderplugin_aggregator_login();
            
            $conditionValue = $_POST['tenderplugin_deletecondition'];
            aggregator_deletecondition($result['Authorized-By'], $conditionValue);
            
            aggregator_logout($result['Authorized-By']);
          
?>
            Condition succesfully deleted (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
<?php
          }
      ?>
    Back to <a href="?page=dghplugin/conditions.php">conditions</a>.
<?php } elseif ($_SERVER['REQUEST_METHOD'] == "GET") { ?>
    <form method="POST" class="tenderplugin_vertical">      
      <label for="tenderplugin_conditions_description">Description</label>
      <input type="text" name="tenderplugin_conditions_description" id="tenderplugin_conditions_description">
      
      <label for="tenderplugin_conditions_value">Value</label>
      <input type="text" name="tenderplugin_conditions_value" id="tenderplugin_conditions_value">

      <input type="submit" name="tenderplugin_addcondition" value="Add condition">
      
      <table class="tenderplugin">
        <tr><th>Description</th><th>Value</th><th>Actions</th></tr>
<?php
    $conditions = aggregator_getconditions();
    
    foreach ($conditions["conditions"] as $cond) {
?>
        <tr><td><?=$cond["description"]?></td><td><?=$cond["value"]?></td><td><button type="submit" name="tenderplugin_deletecondition" value="<?=$cond["value"]?>" onclick="return confirm('Are you sure?');">Delete</button></td></tr>
<?php
    }
?>
    </table>
    
    </form>
<?php
}
?>
</div>