<?php
    if (isset($_POST['tenderplugin_symptoms_condition'])) {
        $condition = $_POST['tenderplugin_symptoms_condition'];
    }
    elseif (isset($_GET['tenderplugin_symptoms_condition'])) {
        $condition = $_GET['tenderplugin_symptoms_condition'];
    }
    else {
        $condition = "COPD";
    }
?>

<div class="tenderplugin_header">
  <img src="<?php echo plugins_url('dghplugin/gfx/symptom_img.png'); ?>">
  <h1>Add symptom</h1>
  <hr>
<?php if ($_SERVER['REQUEST_METHOD'] == "POST") { 
          if (isset($_POST['tenderplugin_addsymptom'])) {
                $name = $_POST["tenderplugin_symptoms_name"];
                $text = $_POST["tenderplugin_symptoms_text"];
                $description = $_POST["tenderplugin_symptoms_description"];
                $type = $_POST["tenderplugin_symptoms_type"];
                
                $result = tenderplugin_aggregator_login();
                
                aggregator_addsymptom($result['Authorized-By'], $condition, array(
                    "name" => $name,
                    "text" => $text,
                    "description" => $description,
                    "type" => $type));
                
                aggregator_logout($result['Authorized-By']);
            
            ?>
            Symptom with description <span class="tenderplugin_emphasis"><?=$description?></span> was successfully added (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
            <?php
          }
          elseif (isset($_POST['tenderplugin_deletesymptom'])) {
          
            $result = tenderplugin_aggregator_login();
            
            $symptomId = $_POST['tenderplugin_deletesymptom'];
            //echo "DELETING(" . $reminderId . ")";
            aggregator_deletesymptom($result['Authorized-By'], $condition, $symptomId);
            
            aggregator_logout($result['Authorized-By']);
          
?>
            Symptom succesfully deleted (Authorized-By: <?=$result['Authorized-By']?>).
            <hr>
<?php
          }
      ?>
    Back to <a href="?page=dghplugin/symptoms.php&tenderplugin_symptoms_condition=<?=$condition?>">symptoms</a>.
<?php } elseif ($_SERVER['REQUEST_METHOD'] == "GET") { ?>
    <form method="POST" class="tenderplugin_vertical">
      <label for="tenderplugin_symptoms_condition">Condition</label>
      <?php conditions_select("dghplugin/symptoms.php", "tenderplugin_symptoms_condition", $condition); ?>
    
      <label for="tenderplugin_symptoms_name">Name</label>
      <input type="text" name="tenderplugin_symptoms_name" id="tenderplugin_symptoms_name">
      
      <label for="tenderplugin_symptoms_text">Text</label>
      <input type="text" name="tenderplugin_symptoms_text" id="tenderplugin_symptoms_text">
            
      <label for="tenderplugin_symptoms_description">Description</label>
      <textarea name="tenderplugin_symptoms_description" id="tenderplugin_symptoms_description">Description</textarea>
      
      <label for="tenderplugin_symptoms_type">Type</label>
      <!--<select name="tenderplugin_symptoms_type" id="tenderplugin_symptoms_type">
        <option value="video">Video</option>
        <option value="article">Article</option>
        <option value="factoid">Factoid</option>
      </select>-->
      <input type="text" name="tenderplugin_symptoms_type" id="tenderplugin_symptoms_type">
      
      <input type="submit" name="tenderplugin_addsymptom" value="Add Symptom">
      
      <table class="tenderplugin">
        <tr><th>Description</th><th>Actions</th></tr>
<?php
    $result = tenderplugin_aggregator_login();
    $symptoms = aggregator_getsymptoms($result['Authorized-By'], $condition);
    aggregator_logout($result['Authorized-By']);
    
    foreach ($symptoms["symptoms"] as $sym) {
?>
        <tr><td><?=$sym["description"]?></td><td><button type="submit" name="tenderplugin_deletesymptom" value="<?=$sym["id"]?>" onclick="return confirm('Are you sure?');">Delete</button></td></tr>
<?php
    }
?>
    </table>
    
    </form>
<?php } ?>
</div>